Subject: Re: bug#16674: 24.3.50; crash: redisplay_internal, update_frame, using client-daemon in tmux

From: Mark Oteiza <[email-masked]>
Date: Sun, 27 Jul 2014 11:24:11 -0400

Eli Zaretskii <[email-masked]> writes:

>> Date: Sat, 26 Jul 2014 19:31:42 +0300
>> From: Eli Zaretskii <[email-masked]>
>> Cc: [email-masked]
>> 
>> > From: Mark Oteiza <[email-masked]>
>> > Date: Sat, 26 Jul 2014 12:23:12 -0400
>> > 
>> > Open a terminal emulator (TE) window.  In that window:
>> > 
>> >   emacs --daemon -Q
>> >   emacsclient -t
>> >   C-x 2
>> > 
>> > In another TE window,
>> > 
>> >   emacsclient -t
>> >   C-x C-c
>> > 
>> > Go back to the first TE.  Widen it, and shorten it so that the top
>> > buffer is no longer visible.  Send input -- now emacs should have crashed.
>> 
>> This sounds very much as a duplicate of #18112, the only difference
>> being that the terminal window is being resized horizontally, not
>> vertically.

Yes, definitely.  Before your fix, reverting 0cd28af (bzr 113891) made
both recipes harmless.

> I think revision 117409 on the emacs-24 branch fixes this one as well.
> At least I no longer can reproduce the bug both with your original and
> the simplified recipes.  Please check.

Yes, this appears to be fixed in the emacs-24 branch, thank you!!!

Let me add that I also tested your fix on emacs-24 with bzr 113891
reverted on top of it.  I could not reproduce #15025, #16674, or #18112
in this case.  As the #15025 fix leads to unfocused and ultimately very
broken-looking frames, please consider reverting that change.